const mongoose = require('mongoose');

// Define the schema
const specialNeedSchema = new mongoose.Schema({
  categoryId: { type: mongoose.Schema.Types.ObjectId, ref: 'Category', required: true },
   name: { type: String, required: true }
});

// Create the model
const SpecialNeed = mongoose.model('SpecialNeed', specialNeedSchema);

// Export the model (optional, if needed in other files)
module.exports = SpecialNeed;
